import java.util.Timer;
import java.util.TimerTask;
import java.io.*;
import java.util.*;
import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

 class Picture 
{
		
	    private BufferedImage image;    // the rasterized image
	    private JFrame f;               // on-screen view
	    
	   	String name;
	   	
	   		    
	    // create an image by reading in the PNG, GIF, or JPEG from a filename
	    public Picture(String filename) 
	    {
	    	
	        try 
	        { 
	        	image = ImageIO.read(new File(filename)); 
	        }
	        catch(IOException e) {
	            e.printStackTrace();
	            throw new RuntimeException("Could not open file " + filename);
	        }
	    }
	
	    // to embed in a JPanel, JFrame or other GUI widget
	    public JLabel getJLabel() {
	        if (image == null) return null;         // no image available
	        ImageIcon icon = new ImageIcon(image);
	        return new JLabel(icon);
	    }
		
		
	    // view on-screen, creating new frame if necessary
	    public void show() 
	    {
	        // create the GUI for viewing the image if needed
	        if (f == null) {
	        	
	            f = new JFrame();
	            
	            f.getContentPane().setLayout(new BorderLayout());
	            
        		f.getContentPane().add(getJLabel(), BorderLayout.CENTER);
	           	f.setDefaultCloseOperation(JFrame.DISPOSE_ON_CLOSE);
	            f.setTitle("Picture Frame");
	            f.setBounds(0,0,1100,1100);
	           	
	            f.setVisible(true);
	        }
	
	    }	    	    
}
